Package org.linphone.core

# Enum Class SubscribePolicy

java.lang.Object
java.lang.Enum<SubscribePolicy>
org.linphone.core.SubscribePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<SubscribePolicy>`, `Constable`

public enum SubscribePolicy extends Enum<SubscribePolicy>
Enum controlling behavior for incoming subscription request.
Use by `Friend.setIncSubscribePolicy(org.linphone.core.SubscribePolicy)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SPAccept`
Automatically accepts a subscription request.
`SPDeny`
Rejects incoming subscription request.
`SPWait`
Does not automatically accept an incoming subscription request.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SubscribePolicy`
`fromInt(int value)`
`protected static SubscribePolicy[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SubscribePolicy[] values)`
`static SubscribePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubscribePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SPWait

public static final SubscribePolicy SPWait
Does not automatically accept an incoming subscription request.
This policy implies that a decision has to be taken for each incoming
subscription request notified by callback
LinphoneCoreVTable.new_subscription_requested

### SPDeny

public static final SubscribePolicy SPDeny
Rejects incoming subscription request.

### SPAccept

public static final SubscribePolicy SPAccept
Automatically accepts a subscription request.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SubscribePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubscribePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SubscribePolicy fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SubscribePolicy[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SubscribePolicy[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()